# List Certifications

Returns all certifications for an access workflow.

| Method | syntax                                       |
| ------ | -------------------------------------------- |
| GET    | {{base\_url}}/api/preview/awf/certifications |

**Parameters**

| Name          | type   | Req. | Description                        |
| ------------- | ------ | ---- | ---------------------------------- |
| `workflow_id` | string | Y    | Workflow to get certifications for |

You can use [List Workflows](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccessworkflows.md) to retrieve all valid workflow IDs.

#### Examples

**Request**

```bash
curl '{{VEZA_URL}}/api/preview/awf/certifications?workfow_id=17ce79c7-a2e6-4baf-87ff-f386764c9659' \
  -H 'authorization: Bearer '$token
```

**Response**

`values` will contain all workflow details. The response may be paginated:

| Name                 | type             | Description                                                                                                                        |
| -------------------- | ---------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| `has_more`           | bool             | Indicates if additional results are available.                                                                                     |
| `total_result_count` | int              | The total number of results.                                                                                                       |
| `values`             | AccessCertResult | Contains details for each certification (see [workflow parameters](/4yItIzMvkpAvMVFAamTf/developers/api/workflows/parameters.md)). |

Sample response:

```json
{
  "values": [
      {
          "certification_id": "b2562ef3-a4b3-4b30-8a45-1ba36f945d10",
          "workflow_id": "b9dc2586-5f30-4462-b6be-53f62debc40f",
          "query_used": {
              "raw_permissions": null,
              "effective_permissions": null,
              "source_node_types": {
                  "nodes": [
                      {
                          "node_type": "GoogleWorkspaceUser",
                          "tags": [],
                          "conditions": [],
                          "condition_expression": null,
                          "node_id": "",
                          "excluded_tags": [],
                          "count_conditions": [],
                          "direct_relationship_only": false,
                          "node_type_grouping_constraint": null
                      }
                  ],
                  "nodes_operator": "AND"
              },
              "required_intermediate_node_types": {
                  "nodes": [],
                  "nodes_operator": "AND"
              },
              "avoided_intermediate_node_types": {
                  "nodes": [],
                  "nodes_operator": "AND"
              },
              "destination_node_types": {
                  "nodes": [
                      {
                          "node_type": "GoogleCloudProject",
                          "tags": [],
                          "conditions": [],
                          "condition_expression": null,
                          "node_id": "",
                          "excluded_tags": [],
                          "count_conditions": [],
                          "direct_relationship_only": false,
                          "node_type_grouping_constraint": null
                      }
                  ],
                  "nodes_operator": "AND"
              },
              "no_relation": false,
              "snapshot_id": "1690354800",
              "waypoint_node_types": {
                  "nodes": [
                      {
                          "node_type": "GoogleCloudIamRoleBinding",
                          "tags": [],
                          "conditions": [],
                          "condition_expression": null,
                          "node_id": "",
                          "excluded_tags": [],
                          "count_conditions": [],
                          "direct_relationship_only": false,
                          "node_type_grouping_constraint": null
                      }
                  ],
                  "nodes_operator": "AND"
              },
              "path_summary_node_types": null,
              "node_relationship_type": "CONFIGURED",
              "include_all_source_tags_in_results": true,
              "include_all_destination_tags_in_results": false,
              "page_size": "0",
              "page_token": ""
          },
          "name": "demo",
          "notes": "",
          "due_date": "2023-07-30T03:44:00Z",
          "reviewers": [],
          "state": "IN_PROGRESS",
          "snapshot_time": "2023-07-26T07:00:00Z",
          "started_at": "2023-07-27T03:44:27.260812616Z",
          "query_completed_at": "2023-07-27T03:44:31.410373279Z",
          "completed_at": null,
          "created_by": {
              "user_type": "localCookieUser",
              "id": "e3ac5e6a-1946-4688-82a7-8a607133a1c8",
              "email": "cookie@cookie.ai",
              "name": "earlypreview-auth0"
          },
          "completed_by": null,
          "results_updated_at": "2023-07-27T03:44:31.410373665Z",
          "results_updated_by": {
              "user_type": "localCookieUser",
              "id": "e3ac5e6a-1946-4688-82a7-8a607133a1c8",
              "email": "cookie@cookie.ai",
              "name": "earlypreview-auth0"
          },
          "updated_at": "2023-07-27T03:44:31.410413829Z",
          "updated_by": {
              "user_type": "localCookieUser",
              "id": "e3ac5e6a-1946-4688-82a7-8a607133a1c8",
              "email": "cookie@cookie.ai",
              "name": "earlypreview-auth0"
          },
          "error_reason": "",
          "expired_at": null,
          "version": 1,
          "total_result_count": 2433,
          "total_complete_count": 0,
          "total_rejected_count": 0,
          "total_accepted_count": 0,
          "total_fixed_count": 0
      }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/listaccesscertifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
